Skip to main content

eth_getStorageAt

POST

Returns the value of a specific storage slot of a contract.Use it to inspect the value of a contract variable.
param[0]
addressstringrequired
A TRON account address. It is not a Base58 address but the 20-byte form obtained by removingthe 41 prefix from the TRON hexadecimal address. (e.g.) TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t41a614f803b6fd780986a42c78ec9c7f77e6ded13c0xa614f803b6fd780986a42c78ec9c7f77e6ded13c
param[1]
storagePositionstringrequired
The position of the storage slot to look up. Pass it in hexadecimal.
param[2]
blockTagstringrequired
The block to query. TRON currently supports only latest.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "eth_getStorageAt",
"params": [
"0xe94ead5f4ca072a25b2e5500934709f1aee3c64b",
"0x29313b34b1b4beab0d3bad2b8824e9e6317c8625dd4d9e9e0f8f61d7b69d1f26",
"latest"
]
}'